Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1513771 - LVM CLI regression: unable to up-convert to mirror with striped leg.
Summary: LVM CLI regression: unable to up-convert to mirror with striped leg.
Keywords:
Status: CLOSED CANTFIX
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: lvm2
Version: 7.3
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: David Teigland
QA Contact: cluster-qe@redhat.com
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-15 22:53 UTC by Jonathan Earl Brassow
Modified: 2018-04-23 19:32 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-11-16 22:23:40 UTC


Attachments (Terms of Use)

Description Jonathan Earl Brassow 2017-11-15 22:53:35 UTC
Note how shorthand option work and longhand does not.

[root@bp-01 ~]# lvcreate -L 5G -n lv vg
  Logical volume "lv" created.
[root@bp-01 ~]# devices vg
  LV   Attr       Cpy%Sync Devices
  lv   -wi-a-----          /dev/sdb1(0)
[root@bp-01 ~]# lvconvert --mirrors 1 vg/lv --mirrorlog core --type mirror --stripes 2
  Command does not accept option: --stripes 2.
[root@bp-01 ~]# lvconvert --mirrors 1 vg/lv --mirrorlog core --type mirror -i 2
  Logical volume vg/lv being converted.
  vg/lv: Converted: 0.08%

Comment 1 Jonathan Earl Brassow 2017-11-15 23:13:53 UTC
(In reply to Jonathan Earl Brassow from comment #0)
> Note how shorthand option work and longhand does not.
> 
> [root@bp-01 ~]# lvcreate -L 5G -n lv vg
>   Logical volume "lv" created.
> [root@bp-01 ~]# devices vg
>   LV   Attr       Cpy%Sync Devices
>   lv   -wi-a-----          /dev/sdb1(0)
> [root@bp-01 ~]# lvconvert --mirrors 1 vg/lv --mirrorlog core --type mirror
> --stripes 2
>   Command does not accept option: --stripes 2.
> [root@bp-01 ~]# lvconvert --mirrors 1 vg/lv --mirrorlog core --type mirror
> -i 2
>   Logical volume vg/lv being converted.
>   vg/lv: Converted: 0.08%

Please scratch the above and note on RHEL6.9 (and probably 7.3):
[root@bp-02 ~]# lvcreate -L 5G -n lv vg
  Logical volume "lv" created.
[root@bp-02 ~]# lvconvert --mirrors 1 vg/lv --mirrorlog core --type mirror --stripes 2
  Using default stripesize 64.00 KiB.
  vg/lv: Converted: 0.2%
^C
[root@bp-02 ~]# devices  vg
  LV            Attr       Cpy%Sync Devices
  lv            mwi-a-m--- 32.19    lv_mimage_0(0),lv_mimage_1(0)
  [lv_mimage_0] Iwi-aom---          /dev/sdb1(0)
  [lv_mimage_1] Iwi-aom---          /dev/sdd1(0),/dev/sde1(0)

but on 7.5:
[root@bp-01 ~]# lvconvert --mirrors 1 vg/lv --mirrorlog core --type mirror --stripes 2
  Command does not accept option: --stripes 2.

Comment 4 Jonathan Earl Brassow 2017-11-16 22:23:40 UTC
Unfortunately, after looking into the feasibility of this, it is not possible to support this behavior predictably.  We will have to steer users to the available methods and methods coming in the future:

> We do have prototype code that will allow conversion from one type to any other type (linear <-> RAIDx) through an online mirroring action.  It is not an in-place reshape (technically, a “take-over”) and would require extra disks.  This solution is not currently scheduled to land, but I can see it in the early timeframe of the next major release.

> We also have the ability to use ‘lvconvert’ to change one LV type to another (e.g. RAID1 to RAID5).  The process of going from linear to striped is not a direct one, but it can be done.  We could probably improve our “coaching” for users in this area.  This solution uses an “in-place” conversion and does not require a full set of extra devices.


Note You need to log in before you can comment on or make changes to this bug.